ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Functions
odf.table Namespace Reference

## Functions
| Background (**args)
| Body (**args)
| CalculationSettings (**args)
| CellAddress (**args)
| CellContentChange (**args)
| CellContentDeletion (**args)
| CellRangeSource (**args)
| ChangeDeletion (**args)
| ChangeTrackTableCell (**args)
| Consolidation (**args)
| ContentValidation (**args)
| ContentValidations (**args)
| CoveredTableCell (**args)
| CutOffs (**args)
| DataPilotDisplayInfo (**args)
| DataPilotField (**args)
| DataPilotFieldReference (**args)
| DataPilotGroup (**args)
| DataPilotGroupMember (**args)
| DataPilotGroups (**args)
| DataPilotLayoutInfo (**args)
| DataPilotLevel (**args)
| DataPilotMember (**args)
| DataPilotMembers (**args)
| DataPilotSortInfo (**args)
| DataPilotSubtotal (**args)
| DataPilotSubtotals (**args)
| DataPilotTable (**args)
| DataPilotTables (**args)
| DatabaseRange (**args)
| DatabaseRanges (**args)
| DatabaseSourceQuery (**args)
| DatabaseSourceSql (**args)
| DatabaseSourceTable (**args)
| DdeLink (**args)
| DdeLinks (**args)
| Deletion (**args)
| Deletions (**args)
| Dependencies (**args)
| Dependency (**args)
| Desc (**args)
| Detective (**args)
| ErrorMacro (**args)
| ErrorMessage (**args)
| EvenColumns (**args)
| EvenRows (**args)
| Filter (**args)
| FilterAnd (**args)
| FilterCondition (**args)
| FilterOr (**args)
| FilterSetItem (**args)
| FirstColumn (**args)
| FirstRow (**args)
| HelpMessage (**args)
| HighlightedRange (**args)
| Insertion (**args)
| InsertionCutOff (**args)
| Iteration (**args)
| LabelRange (**args)
| LabelRanges (**args)
| LastColumn (**args)
| LastRow (**args)
| Movement (**args)
| MovementCutOff (**args)
| NamedExpression (**args)
| NamedExpressions (**args)
| NamedRange (**args)
| NullDate (**args)
| OddColumns (**args)
| OddRows (**args)
| Operation (**args)
| Previous (**args)
| Scenario (**args)
| Shapes (**args)
| Sort (**args)
| SortBy (**args)
| SortGroups (**args)
| SourceCellRange (**args)
| SourceRangeAddress (**args)
| SourceService (**args)
| SubtotalField (**args)
| SubtotalRule (**args)
| SubtotalRules (**args)
| Table (**args)
| TableCell (**args)
| TableColumn (**args)
| TableColumnGroup (**args)
| TableColumns (**args)
| TableHeaderColumns (**args)
| TableHeaderRows (**args)
| TableRow (**args)
| TableRowGroup (**args)
| TableRows (**args)
| TableSource (**args)
| TableTemplate (**args)
| TargetRangeAddress (**args)
| Title (**args)
| TrackedChanges (**args)

## Function Documentation

## ◆ Background()

odf.table.Background | ( | ** | args | ) |

Definition at line 26 of file table.py.

## ◆ Body()

odf.table.Body | ( | ** | args | ) |

Definition at line 29 of file table.py.

## ◆ CalculationSettings()

odf.table.CalculationSettings | ( | ** | args | ) |

Definition at line 32 of file table.py.

## ◆ CellAddress()

odf.table.CellAddress | ( | ** | args | ) |

Definition at line 35 of file table.py.

## ◆ CellContentChange()

odf.table.CellContentChange | ( | ** | args | ) |

Definition at line 38 of file table.py.

## ◆ CellContentDeletion()

odf.table.CellContentDeletion | ( | ** | args | ) |

Definition at line 41 of file table.py.

## ◆ CellRangeSource()

odf.table.CellRangeSource | ( | ** | args | ) |

Definition at line 44 of file table.py.

## ◆ ChangeDeletion()

odf.table.ChangeDeletion | ( | ** | args | ) |

Definition at line 48 of file table.py.

## ◆ ChangeTrackTableCell()

odf.table.ChangeTrackTableCell | ( | ** | args | ) |

Definition at line 51 of file table.py.

## ◆ Consolidation()

odf.table.Consolidation | ( | ** | args | ) |

Definition at line 54 of file table.py.

## ◆ ContentValidation()

odf.table.ContentValidation | ( | ** | args | ) |

Definition at line 57 of file table.py.

## ◆ ContentValidations()

odf.table.ContentValidations | ( | ** | args | ) |

Definition at line 60 of file table.py.

## ◆ CoveredTableCell()

odf.table.CoveredTableCell | ( | ** | args | ) |

Definition at line 63 of file table.py.

## ◆ CutOffs()

odf.table.CutOffs | ( | ** | args | ) |

Definition at line 66 of file table.py.

## ◆ DatabaseRange()

odf.table.DatabaseRange | ( | ** | args | ) |

Definition at line 114 of file table.py.

## ◆ DatabaseRanges()

odf.table.DatabaseRanges | ( | ** | args | ) |

Definition at line 117 of file table.py.

## ◆ DatabaseSourceQuery()

odf.table.DatabaseSourceQuery | ( | ** | args | ) |

Definition at line 120 of file table.py.

## ◆ DatabaseSourceSql()

odf.table.DatabaseSourceSql | ( | ** | args | ) |

Definition at line 123 of file table.py.

## ◆ DatabaseSourceTable()

odf.table.DatabaseSourceTable | ( | ** | args | ) |

Definition at line 126 of file table.py.

## ◆ DataPilotDisplayInfo()

odf.table.DataPilotDisplayInfo | ( | ** | args | ) |

Definition at line 69 of file table.py.

## ◆ DataPilotField()

odf.table.DataPilotField | ( | ** | args | ) |

Definition at line 72 of file table.py.

## ◆ DataPilotFieldReference()

odf.table.DataPilotFieldReference | ( | ** | args | ) |

Definition at line 75 of file table.py.

## ◆ DataPilotGroup()

odf.table.DataPilotGroup | ( | ** | args | ) |

Definition at line 78 of file table.py.

## ◆ DataPilotGroupMember()

odf.table.DataPilotGroupMember | ( | ** | args | ) |

Definition at line 81 of file table.py.

## ◆ DataPilotGroups()

odf.table.DataPilotGroups | ( | ** | args | ) |

Definition at line 84 of file table.py.

## ◆ DataPilotLayoutInfo()

odf.table.DataPilotLayoutInfo | ( | ** | args | ) |

Definition at line 87 of file table.py.

## ◆ DataPilotLevel()

odf.table.DataPilotLevel | ( | ** | args | ) |

Definition at line 90 of file table.py.

## ◆ DataPilotMember()

odf.table.DataPilotMember | ( | ** | args | ) |

Definition at line 93 of file table.py.

## ◆ DataPilotMembers()

odf.table.DataPilotMembers | ( | ** | args | ) |

Definition at line 96 of file table.py.

## ◆ DataPilotSortInfo()

odf.table.DataPilotSortInfo | ( | ** | args | ) |

Definition at line 99 of file table.py.

## ◆ DataPilotSubtotal()

odf.table.DataPilotSubtotal | ( | ** | args | ) |

Definition at line 102 of file table.py.

## ◆ DataPilotSubtotals()

odf.table.DataPilotSubtotals | ( | ** | args | ) |

Definition at line 105 of file table.py.

## ◆ DataPilotTable()

odf.table.DataPilotTable | ( | ** | args | ) |

Definition at line 108 of file table.py.

## ◆ DataPilotTables()

odf.table.DataPilotTables | ( | ** | args | ) |

Definition at line 111 of file table.py.

## ◆ DdeLink()

odf.table.DdeLink | ( | ** | args | ) |

Definition at line 129 of file table.py.

## ◆ DdeLinks()

odf.table.DdeLinks | ( | ** | args | ) |

Definition at line 132 of file table.py.

## ◆ Deletion()

odf.table.Deletion | ( | ** | args | ) |

Definition at line 135 of file table.py.

## ◆ Deletions()

odf.table.Deletions | ( | ** | args | ) |

Definition at line 138 of file table.py.

## ◆ Dependencies()

odf.table.Dependencies | ( | ** | args | ) |

Definition at line 141 of file table.py.

## ◆ Dependency()

odf.table.Dependency | ( | ** | args | ) |

Definition at line 144 of file table.py.

## ◆ Desc()

odf.table.Desc | ( | ** | args | ) |

Definition at line 147 of file table.py.

## ◆ Detective()

odf.table.Detective | ( | ** | args | ) |

Definition at line 150 of file table.py.

## ◆ ErrorMacro()

odf.table.ErrorMacro | ( | ** | args | ) |

Definition at line 153 of file table.py.

## ◆ ErrorMessage()

odf.table.ErrorMessage | ( | ** | args | ) |

Definition at line 156 of file table.py.

## ◆ EvenColumns()

odf.table.EvenColumns | ( | ** | args | ) |

Definition at line 159 of file table.py.

## ◆ EvenRows()

odf.table.EvenRows | ( | ** | args | ) |

Definition at line 162 of file table.py.

## ◆ Filter()

odf.table.Filter | ( | ** | args | ) |

Definition at line 165 of file table.py.

## ◆ FilterAnd()

odf.table.FilterAnd | ( | ** | args | ) |

Definition at line 168 of file table.py.

## ◆ FilterCondition()

odf.table.FilterCondition | ( | ** | args | ) |

Definition at line 171 of file table.py.

## ◆ FilterOr()

odf.table.FilterOr | ( | ** | args | ) |

Definition at line 174 of file table.py.

## ◆ FilterSetItem()

odf.table.FilterSetItem | ( | ** | args | ) |

Definition at line 177 of file table.py.

## ◆ FirstColumn()

odf.table.FirstColumn | ( | ** | args | ) |

Definition at line 180 of file table.py.

## ◆ FirstRow()

odf.table.FirstRow | ( | ** | args | ) |

Definition at line 183 of file table.py.

## ◆ HelpMessage()

odf.table.HelpMessage | ( | ** | args | ) |

Definition at line 186 of file table.py.

## ◆ HighlightedRange()

odf.table.HighlightedRange | ( | ** | args | ) |

Definition at line 189 of file table.py.

## ◆ Insertion()

odf.table.Insertion | ( | ** | args | ) |

Definition at line 192 of file table.py.

## ◆ InsertionCutOff()

odf.table.InsertionCutOff | ( | ** | args | ) |

Definition at line 195 of file table.py.

## ◆ Iteration()

odf.table.Iteration | ( | ** | args | ) |

Definition at line 198 of file table.py.

## ◆ LabelRange()

odf.table.LabelRange | ( | ** | args | ) |

Definition at line 201 of file table.py.

## ◆ LabelRanges()

odf.table.LabelRanges | ( | ** | args | ) |

Definition at line 204 of file table.py.

## ◆ LastColumn()

odf.table.LastColumn | ( | ** | args | ) |

Definition at line 207 of file table.py.

## ◆ LastRow()

odf.table.LastRow | ( | ** | args | ) |

Definition at line 210 of file table.py.

## ◆ Movement()

odf.table.Movement | ( | ** | args | ) |

Definition at line 213 of file table.py.

## ◆ MovementCutOff()

odf.table.MovementCutOff | ( | ** | args | ) |

Definition at line 216 of file table.py.

## ◆ NamedExpression()

odf.table.NamedExpression | ( | ** | args | ) |

Definition at line 219 of file table.py.

## ◆ NamedExpressions()

odf.table.NamedExpressions | ( | ** | args | ) |

Definition at line 222 of file table.py.

## ◆ NamedRange()

odf.table.NamedRange | ( | ** | args | ) |

Definition at line 225 of file table.py.

## ◆ NullDate()

odf.table.NullDate | ( | ** | args | ) |

Definition at line 228 of file table.py.

## ◆ OddColumns()

odf.table.OddColumns | ( | ** | args | ) |

Definition at line 231 of file table.py.

## ◆ OddRows()

odf.table.OddRows | ( | ** | args | ) |

Definition at line 234 of file table.py.

## ◆ Operation()

odf.table.Operation | ( | ** | args | ) |

Definition at line 237 of file table.py.

## ◆ Previous()

odf.table.Previous | ( | ** | args | ) |

Definition at line 240 of file table.py.

## ◆ Scenario()

odf.table.Scenario | ( | ** | args | ) |

Definition at line 243 of file table.py.

## ◆ Shapes()

odf.table.Shapes | ( | ** | args | ) |

Definition at line 246 of file table.py.

## ◆ Sort()

odf.table.Sort | ( | ** | args | ) |

Definition at line 249 of file table.py.

## ◆ SortBy()

odf.table.SortBy | ( | ** | args | ) |

Definition at line 252 of file table.py.

## ◆ SortGroups()

odf.table.SortGroups | ( | ** | args | ) |

Definition at line 255 of file table.py.

## ◆ SourceCellRange()

odf.table.SourceCellRange | ( | ** | args | ) |

Definition at line 258 of file table.py.

## ◆ SourceRangeAddress()

odf.table.SourceRangeAddress | ( | ** | args | ) |

Definition at line 261 of file table.py.

## ◆ SourceService()

odf.table.SourceService | ( | ** | args | ) |

Definition at line 264 of file table.py.

## ◆ SubtotalField()

odf.table.SubtotalField | ( | ** | args | ) |

Definition at line 267 of file table.py.

## ◆ SubtotalRule()

odf.table.SubtotalRule | ( | ** | args | ) |

Definition at line 270 of file table.py.

## ◆ SubtotalRules()

odf.table.SubtotalRules | ( | ** | args | ) |

Definition at line 273 of file table.py.

## ◆ Table()

odf.table.Table | ( | ** | args | ) |

Definition at line 276 of file table.py.

## ◆ TableCell()

odf.table.TableCell | ( | ** | args | ) |

Definition at line 279 of file table.py.

## ◆ TableColumn()

odf.table.TableColumn | ( | ** | args | ) |

Definition at line 282 of file table.py.

## ◆ TableColumnGroup()

odf.table.TableColumnGroup | ( | ** | args | ) |

Definition at line 285 of file table.py.

## ◆ TableColumns()

odf.table.TableColumns | ( | ** | args | ) |

Definition at line 288 of file table.py.

## ◆ TableHeaderColumns()

odf.table.TableHeaderColumns | ( | ** | args | ) |

Definition at line 291 of file table.py.

## ◆ TableHeaderRows()

odf.table.TableHeaderRows | ( | ** | args | ) |

Definition at line 294 of file table.py.

## ◆ TableRow()

odf.table.TableRow | ( | ** | args | ) |

Definition at line 297 of file table.py.

## ◆ TableRowGroup()

odf.table.TableRowGroup | ( | ** | args | ) |

Definition at line 300 of file table.py.

## ◆ TableRows()

odf.table.TableRows | ( | ** | args | ) |

Definition at line 303 of file table.py.

## ◆ TableSource()

odf.table.TableSource | ( | ** | args | ) |

Definition at line 306 of file table.py.

## ◆ TableTemplate()

odf.table.TableTemplate | ( | ** | args | ) |

Definition at line 310 of file table.py.

## ◆ TargetRangeAddress()

odf.table.TargetRangeAddress | ( | ** | args | ) |

Definition at line 313 of file table.py.

## ◆ Title()

odf.table.Title | ( | ** | args | ) |

Definition at line 316 of file table.py.

## ◆ TrackedChanges()

odf.table.TrackedChanges | ( | ** | args | ) |

Definition at line 319 of file table.py.